# FIU API v2.0.0

Please refer the FIU API Spec (2.0.0) <https://api.rebit.org.in/spec/fiu> in the ReBIT to implement the responses for different cases. The APIs below only has success response.

### API signature verification

You need to verify the API calls that you receive from the AA. Use Saafe's public key available in the Central Registry to verify the API request that Saafe made to your FIU endpoints.&#x20;

You can refer [AA Commons Documentation](https://sahamati.gitbook.io/aa-common-service/token-service/access-token-logistics) for how to verify the request that you receive from AA.

### Consent Notification

POST {your-base-url}/Consent/Notification

#### Request

Header

<table><thead><tr><th width="193">Key</th><th width="556.3333333333333">Value</th></tr></thead><tbody><tr><td>x-jws-signature</td><td>string</td></tr><tr><td>aa_api_key</td><td>string</td></tr></tbody></table>

Body

```json
{
    "ver": "2.0.0",
    "timestamp": "2024-05-09T15:40:45.717Z",
    "txnid": "019fe3f7-edd6-45ac-9f29-24fad3e504ca",
    "Notifier": {
        "type": "AA",
        "id": "dashboard-aa-preprod"
    },
    "ConsentStatusNotification": {
        "consentId": "5278f924-2d15-4726-a974-2465cbf48d5c",
        "consentHandle": "465d1f35-f716-484f-a38e-30797d97b525",
        "consentStatus": "ACTIVE"
    }
}
```

#### Response 200

Header

<table><thead><tr><th width="193">Key</th><th width="556.3333333333333">Value</th></tr></thead><tbody><tr><td>x-jws-signature</td><td>string</td></tr></tbody></table>

Body

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "ver": "2.0.0",
    "timestamp": "2024-05-09T15:40:45.717Z",
    "txnid": "019fe3f7-edd6-45ac-9f29-24fad3e504ca",
    "response": "OK"
}
</code></pre>

### FI Notification

POST {your-base-url}/FI/Notification

#### Request

Header

<table><thead><tr><th width="193">Key</th><th width="556.3333333333333">Value</th></tr></thead><tbody><tr><td>x-jws-signature</td><td>string</td></tr><tr><td>aa_api_key</td><td>string</td></tr></tbody></table>

Body

```json
{
    "ver": "2.0.0",
    "timestamp": "2024-05-09T18:29:24.909Z",
    "txnid": "e2086003-a792-40f9-b80a-912985626292",
    "Notifier": {
        "type": "AA",
        "id": "dashboard-aa-preprod"
    },
    "FIStatusNotification": {
        "sessionId": "8c582ed7-b114-4b66-adb3-81e6bd430708",
        "sessionStatus": "COMPLETED",
        "FIStatusResponse": [
            {
                "fipID": "dhanagarbank",
                "Accounts": [
                    {
                        "linkRefNumber": "826975aa-ebd1-4994-a700-a6253529770f",
                        "FIStatus": "READY",
                        "description": "Data is ready"
                    }
                ]
            }
        ]
    }
}
```

#### Response 200

Header

<table><thead><tr><th width="193">Key</th><th width="556.3333333333333">Value</th></tr></thead><tbody><tr><td>x-jws-signature</td><td>string</td></tr></tbody></table>

Body

```json
{
    "ver": "2.0.0",
    "timestamp": "2024-05-09T18:29:24.909Z",
    "txnid": "e2086003-a792-40f9-b80a-912985626292",
    "response": "OK"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.saafe.in/fiu-module/fiu-api-v2.0.0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
